---
title: DOMPoint.x
slug: Web/API/DOMPoint/x
tags:
  - API
  - Coordinates
  - DOM
  - DOMPoint
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Reference
  - x
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPoint</strong></code> interface's <code><strong>x</strong></code> property holds the horizontal coordinate, x, for a point in space.</span> In general, positive values <code>x</code> mean to the right, and negative values of <code>x</code> means to the left, barring any transforms that may have altered the orientation of the axes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>xPos</em> = <em>DOMPoint</em>.x;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the x coordinate's value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-x', 'x')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.x")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPoint.y", "y")}}, {{domxref("DOMPoint.z", "z")}}, and the perspective value, {{domxref("DOMPoint.w", "w")}}.</li>
</ul>
